#include <psychlops.h>
using namespace Psychlops;

int a1,a2,a3,a4,a5;
double d1,d2,d3,x,y;
Psychlops::Point point1;

void psychlops_main() {

	Canvas sampleA(Canvas::fullscreen);
	
	point1=sampleA.getCenter();
	d1=sampleA.getHcenter();
	d2=sampleA.getVcenter();
	a1=sampleA.getHeight();
	a2=sampleA.getWidth();
	a3=sampleA.getColorDepth();
	d3=sampleA.getRefreshRate();
	
	//get命令の内容を画面表示する
	x=point1.getX();
	y=point1.getY();
	sampleA.msg("getcenter_x:",50,200,Color::yellow);
	sampleA.var(x,200,200,Color::yellow,true);//getCenter:X
	sampleA.msg("getcenter_y:",50,250,Color::yellow);
	sampleA.var(y,200,250,Color::yellow,true);//getCenter:Y		
	sampleA.msg("getHcenter:",50,300,Color::green);
	sampleA.var(d1,200,300,Color::green,true);//getHcenter
	sampleA.msg("getVcenter:",50,350,Color::green);
	sampleA.var(d2,200,350,Color::green,true);//getVcenter
	sampleA.msg("gettHeight:",50,400,Color::red);
	sampleA.var(a1,200,400,Color::red,false);//getHeight
	sampleA.msg("getWidth:",50,450,Color::red);
	sampleA.var(a2,200,450,Color::red,true);//getWidth

	sampleA.msg("getColorDepth:",250,200);
	sampleA.var(a3,500,200);//getColorDepth
	sampleA.msg("getRefreshRate:",250,250);
	sampleA.var(d3,500,250);//getRefreshRate
	
	sampleA.flip();
	while(!Input::get(Keyboard::spc));
}